#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,rez=0;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int niz[2*n+1];
    for(int i=0;i<2*n+1;i++)
    {
        niz[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        niz[a[i]+n]++;
        if(niz[a[i]+n]==k)
        {
            rez++;
        }
    }
    cout<<rez<<endl;
    for(int i=0;i<2*n+1;i++)
    {
        if(niz[i]>=k)
        {
            cout<<i-n<<" ";
        }
    }
    cout<<endl;
    return 0;
}